{
	"hud_renderer": {
		"type": "image",
		"offset": [-170,10],
		"texture": "$texture",
		"anchor_from": "top_right ",
		"anchor_to": "top_right ",
		"size": ["10%", "10%"],
		"$texture|default": "textures/ui/default",
		"layer": 0,
		"variables": [
			{
				"requires": "($title_text = 'hud.mag9')",
				"$texture": "textures/ui/mag_full"
			},
			{
				"requires": "($title_text = 'hud.mag8')",
				"$texture": "textures/ui/mag8"
			},
			{
				"requires": "($title_text = 'hud.mag7')",
				"$texture": "textures/ui/mag7"
			},
			{
				"requires": "($title_text = 'hud.mag6')",
				"$texture": "textures/ui/mag6"
			},
			{
				"requires": "($title_text = 'hud.mag5')",
				"$texture": "textures/ui/mag5"
			},
			{
				"requires": "($title_text = 'hud.mag4')",
				"$texture": "textures/ui/mag4"
			},
			{
				"requires": "($title_text = 'hud.mag3')",
				"$texture": "textures/ui/mag3"
			},
			{
				"requires": "($title_text = 'hud.mag2')",
				"$texture": "textures/ui/mag2"
			},
			{
				"requires": "($title_text = 'hud.mag1')",
				"$texture": "textures/ui/mag1"
			},
			{
				"requires": "($title_text = 'hud.mag0')",
				"$texture": "textures/ui/mag0"
			}
		]
	},
  "hud_stim": {
    "type": "image",
    "texture": "textures/ui/hud_stim",
    "size": ["100%", "100%"],
    "layer": 10
  },
	"scope_factory":{
	"type": "panel",
		"factory": {
			"name": "hud_title_text_factory",
			"control_ids": {
				"hud_title_text": "hud_renderer@hud.hud_renderer"
			}
		}
	}, 
	"root_panel": {
		"type": "panel",
		"modifications": [
		 {
			"array_name": "controls",
			"operation": "insert_front",
			"value": [
               {"scope_factory@hud.scope_factory": {}}
            ] 
		 }
      ]
	}, 
	"hud_title_text":{
    "ignored":"($title_text > 'hud')"
    }
}